<script setup lang="ts">
import {defineComponent, PropType} from "vue";
import {useUserStore} from "@/store/modules/user";
import {PatientStatisticVO, RoomBedVO} from "@/api/ecg/doctor";

const userStore = useUserStore();

defineComponent({
  name: 'TitlePanel'
})

const roomBedVO: RoomBedVO = {
  roomId: userStore.room.roomId,
  bedNo: userStore.room.bedNo
}

const  props = defineProps({
  patientStatistic: {
    type: Object as PropType<PatientStatisticVO>,
    required: true
  }
})

</script>

<template>
已就诊{{patientStatistic.finishedNum}}  准备中{{patientStatistic.readyNum}}
  过号{{patientStatistic.passedNum}} 排队中{{patientStatistic.queuingNum}}
  诊室{{roomBedVO.roomId}} 工位{{roomBedVO.bedNo}}
</template>

<style scoped lang="scss">

</style>
